/**************************************************************************/
/* GF90 ( 青紙テーブル )                                                  */
/*                                                                        */
/* Created : 2009/11/04 19:23:40                                          */
/**************************************************************************/
CREATE TABLE GF90 (
   SYSTEM_ID VARCHAR2(10)   NOT NULL      /* 10  システムID   */
 , NMSYS     VARCHAR2(200)                /* 20  システム名   */
 , PGID      VARCHAR2(30)   NOT NULL      /* 30  プログラムID */
 , SEQ       NUMBER(5)                    /* 40  表示順       */
 , NMPG      VARCHAR2(200)                /* 50  処理名       */
 , PGLANG    VARCHAR2(10)                 /* 60  言語         */
 , SIYOSAKU  VARCHAR2(10)                 /* 70  仕様作成者   */
 , PGSAKU    VARCHAR2(10)                 /* 80  PG作成者     */
 , PGKEN     VARCHAR2(10)                 /* 90  検証者       */
 , DYSAKU    VARCHAR2(8)                  /* 100 作成日       */
 , DYKAN     VARCHAR2(8)                  /* 110 完成日       */
 , DYKEN     VARCHAR2(8)                  /* 120 検証日       */
 , CDSAKU    VARCHAR2(30)                 /* 130 作番CD       */
 , GUITYPE   VARCHAR2(2)                  /* 140 画面タイプ   */
 , HPGID     VARCHAR2(30)                 /* 150 雛形PGID     */
 , GAIYO     CLOB                         /* 160 処理概要     */
 , UNIQ      NUMBER(9)                    /* 170 ユニークキー */
 , FGJ       VARCHAR2(1)                  /* 180 状態フラグ   */
 , DYSET     VARCHAR2(14)                 /* 190 登録日時     */
 , DYUPD     VARCHAR2(14)                 /* 200 更新日時     */
 , USRSET    VARCHAR2(10)                 /* 210 登録者       */
 , USRUPD    VARCHAR2(10)                 /* 220 更新者       */
 , PRGUPD    VARCHAR2(10)                 /* 230 更新ＰＲＧ   */
)
TABLESPACE GETBL01
STORAGE( INITIAL 16K NEXT 16K PCTINCREASE 0 );

CREATE SEQUENCE GF90S01 
INCREMENT BY 1 START WITH 1 MAXVALUE 999999999 CYCLE NOCACHE;

CREATE OR REPLACE TRIGGER GF90T01 
BEFORE INSERT ON GF90
FOR EACH ROW 
BEGIN 
SELECT GF90S01.NEXTVAL INTO :NEW.UNIQ FROM DUAL; 
END; 
/

