<?xml version="1.0" encoding="UTF-8" ?>
<jsp:root
	xmlns:jsp="http://java.sun.com/JSP/Page"
	xmlns:og="hybs-taglib.tld" 
	version="2.0">
<jsp:directive.page language="java" contentType="text/html; charset=UTF-8" />

<og:head headType="result" />
<jsp:directive.include file="/jsp/custom/result_info.jsp" />
<og:comment
	system	= "GF:エンジンサンプル"
	pgid	= "GANTT03"
	title	= "タスクツリー登録"
	date	= "2008/10/27"
	author	= "Hiroki.Nakamura"
	text	= ""
	version	= "001"
/>
<!-- ワーニングメッセージです。ここでは、登録完了のメッセージを表示します。 -->
<og:errorMessage command="{@command}" clear="{@clear}" displayMsg="{@displayMsg}" />

<!-- 入力チェック -->
<og:columnCheck
	command   = "{@command}"
	columns   = "PRJCODE"
/>

<!-- 取り消しボタンが押された時に必要です。 -->
<og:entry command="{@command}" />

<!-- DB検索 SQL文記述 debug="true" でSQL文を確認できます。-->
<og:query command="{@command}" debug="{@debug}" maxRowCount="{@maxRowCount}">
	<!-- 先頭のカラム名が、"WRITABLE" の場合、'true' or '1' で、書き込み許可が与えら,'2' でチェック済みになります。-->
	<jsp:text>
		select PRJCODE,PRJ_NAME(PRJCODE) AS PRJ_NAME,TASK_ID,SEQ,TASK_LEVEL,NAME,MEETING,
				DYSTART,DURATION,COMPLETE,PRIORITY,NOTES,FGJ
		from GF64
	</jsp:text>
	<og:where>
		<og:and value = "FGJ         in  ('0','1')"         />
		<og:and value = "PRJCODE     like '{@PRJCODE}%'"    />
		<og:and value = "TASK_ID     like '{@TASK_ID}%'"    />
		<og:and value = "NAME        like '{@NAME}%'"       />
		<og:and value = "COMPLETE    like '{@COMPLETE}%'"   />
		<og:and value = "DYSTART     &gt;= '{@DYSTART}'"    />
		<og:and value = "TASK_LEVEL  &lt;= '{@TASK_LEVEL}'" />
	</og:where>
	<og:appear startKey = "order by" value = "{@ORDER_BY}" 
				defaultVal = "PRJCODE,SEQ" />
</og:query>

<!-- formタグでリクエストフィールドを囲います。oneClick()関数は、２重押し防止JavaScriptです。 -->
<form onSubmit="return oneClick();" method="POST" action="forward.jsp" target="RESULT">

<!-- 複写、変更、削除ボタンを作成します。value属性+.jspの画面に制御が移ります。 -->
<!-- このとき、command=(value属性の値の大文字)が設定されます。 command属性で設定しなおすことも出来ます。-->
<og:writeCheck>
	<og:submit  value="copy"     lbl="COPY"    accesskey="C" />
	<og:submit  value="modify"   lbl="MODIFY"  accesskey="M" />
	<og:submit  value="delete"   lbl="DELETE"  accesskey="D" />

	<fieldset style="display:inline;">
		<legend><strong><og:message lbl="INSERT_GF64" /></strong></legend>
		<og:submit  value="insertGF64" lbl="INSERT" command="INSERT" />
		<og:select name="PRJCODE"  td="no" >
			<og:option value="" lbl="" />
			<og:queryOption>
				<jsp:text>
					select PRJCODE,NAME from GF62
					where fgj in ('0','1')
					and   cdj &lt; '8'
					order by PRJCODE
				</jsp:text>
			</og:queryOption>
		</og:select>
	</fieldset>
	<br />
</og:writeCheck>

<!-- DB検索結果を表示させます。 -->
<!-- checked="true" で、チェック済みの状態で表示できます。 -->
<!-- selectedType="checkbox(デフォルト)/radio/hidden" から、選べます。-->
<og:view
	viewFormType = "HTMLTable" 
	command    = "{@command}" 
	noDisplay  = "FGJ"
	checked    = "{@checked}"
	startNo    = "{@startNo}" 
	pageSize   = "{@pageSize}"  />
</form>

<jsp:directive.include file="/jsp/common/htmlend.jsp" />
</jsp:root>
